Skip to main content
POST
/
Agent
/
Legal
/
ValidatePNr
Validate PNr
curl --request POST \
  --url https://{host}/Agent/Legal/ValidatePNr \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "countryCode": "<string>",
  "pnr": "<string>"
}
'
{
  "countrySupported": true,
  "isValid": true,
  "normalized": "<string>"
}

Overview

Allows the client to validate a personal number before using it to apply for a Legal Identity.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
countryCode
string
required
pnr
string
required

Response

200 - application/json

Success

countrySupported
boolean
required
isValid
boolean
normalized
string